# Ruby version 2.4.0


| Sensu Version    | Recommended Puppet Module Version   |
| ---------------- | ----------------------------------- |
| >= 0.26.0        | latest                              |
| 0.22.x - 0.25.x  | 2.1.0                               |
| 0.20.x - 0.21.x  | 2.0.0                               |
| 0.17.x - 0.19.x  | 1.5.5                               |


## Upgrade note

Versions prior to 1.0.0 are incompatible with previous versions of the
Sensu-Puppet module.

### Basic Usage

```bash

include 'ruby'

```

###include in site.pp

```bash

class ruby {

package {'ruby-2.4.2-1.el6.x86_64':
ensure => present,
provider => 'rpm',
install_options => ['-ivh'],
source => "/opt/ruby-2.4.2-1.el6.x86_64.rpm",
require => File["/opt/ruby-2.4.2-1.el6.x86_64.rpm"],
}
file { "/opt/ruby-2.4.2-1.el6.x86_64.rpm":
source => "puppet:///modules/ruby/ruby-2.4.2-1.el6.x86_64.rpm"
}

file { '/etc/yum.repos.d/sensu.repo':
  path     => '/etc/yum.repos.d/sensu.repo',
  ensure   => file,
  source   => ['puppet:///modules/ruby/sensu.repo'],
  mode     => '0755',
  owner    => 'root',
  group    => 'root',
}

}

```


Rubygem:

```bash
sudo gem install sensu-plugin

sudo gem install mixlib-cli
```

Debian & Ubuntu:

```bash
sudo apt-get install ruby-json
```

## Quick start

Before this Puppet module can be used, the following items must be configured on the server.

- Install Redis
- Install RabbitMQ
